gnutls_srp_base64_encode(3)

NAME
gnutls_srp_base64_encode - This function will convert raw data to base64 encoded

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_encode(const gnutls_datum_t * data, char * result, size_t * result_size);

ARGUMENTS

const gnutls_datum_t * data
    contain the raw data

char * result
    the place where base64 data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will convert the given data to printable data, using the base64 encoding, as used in the libsrp. This is the encoding used in SRP password files. If the provided buffer is not long enough GNUTLS_E_SHORT_MEMORY_BUFFER is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.